import 'package:fis_jsonrpc/rpc.dart';
import 'package:get/get_rx/src/rx_types/rx_types.dart';
import 'package:vitalapp/pages/check/follow_up/models/select_model.dart';

class FollowUpState {
  final Rx<DateTime?> _followUpTime = Rx(DateTime.now());
  final Rx<DateTime?> _nextFollowUpTime = Rx(null);
  final Rx<FollowUpModeEnum?> _followUpMode = Rx(FollowUpModeEnum.Outpatient);
  final Rx<String?> _followUpPhoto = Rx('');

  DateTime? get followUpTime => _followUpTime.value;
  set followUpTime(DateTime? val) => _followUpTime.value = val;

  DateTime? get nextFollowUpTime => _nextFollowUpTime.value;
  set nextFollowUpTime(DateTime? val) => _nextFollowUpTime.value = val;

  FollowUpModeEnum? get followUpMode => _followUpMode.value;
  set followUpMode(FollowUpModeEnum? val) => _followUpMode.value = val;

  String? get followUpPhoto => _followUpPhoto.value;
  set followUpPhoto(String? val) => _followUpPhoto.value = val;

  final followUpModeEnumSelectList = [
    SelectModel(code: FollowUpModeEnum.Outpatient, name: '门诊'),
    SelectModel(code: FollowUpModeEnum.Visit, name: '家庭'),
    SelectModel(code: FollowUpModeEnum.Phone, name: '电话'),
  ];
}
